## org.openorb.CORBA.dii
Class NamedValue

    java.lang.Object
      |
      +--org.omg.CORBA.NamedValue
            |
            +--org.openorb.CORBA.dii.NamedValue

public class NamedValue
extends NamedValue

This class implements the OMG class : NamedValue.

Version:
  $Revision: 1.5 $ $Date: 2002/07/15 14:53:41 $
Author:
  Jerome Daniel

Constructor Summary
`NamedValue(java.lang.String name, Any value, int flags)` Constructor

Method Summary
`int` `flags()` Return the value flag
`java.lang.String` `name()` Return the value name
`void` `setNewValue(Any new_value)` Set a new value
`Any` `value()` Return the value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedValue

    public NamedValue(java.lang.String name,
                      Any value,
                      int flags)

  Constructor

Method Detail

### name

    public java.lang.String name()

  Return the value name
  Overrides:
    `name` in class `NamedValue`

### value

    public Any value()

  Return the value
  Overrides:
    `value` in class `NamedValue`

### flags

    public int flags()

  Return the value flag
  Overrides:
    `flags` in class `NamedValue`

### setNewValue

    public void setNewValue(Any new_value)

  Set a new value